using CarCenterContracts.BindingModels;
using CarCenterContracts.SearchModels;
using CarCenterContracts.ViewModels;
using CarCenterDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CarCenterContracts.BusinessLogicsContracts
{
    public interface IEquipmentLogic
    {
        List<EquipmentViewModel>? ReadList(EquipmentSearchModel? model);
        EquipmentViewModel? ReadElement(EquipmentSearchModel model);
        bool Create(EquipmentBindingModel model);
        bool Update(EquipmentBindingModel model);
        bool Delete(EquipmentBindingModel model);
        bool AddCarToEquipment(EquipmentSearchModel model, ICarModel car);
    }
}
